For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSearch Agents
      • POSTSearch Agent By Geolocation
      • GETSearch Agent Tags
      • GETGet Agent Seo Eval Results
      • POSTStart Agent Seo Eval
      • GETGet Top Asi1 Search Keywords
      • GETGet Agent
      • GETGet Agent Keywords
      • PUTSet Agent Keywords
      • PATCHAdd Agent Keywords
      • DELDelete Agent Keyword
      • GETSearch Agents By Similarity
      • GETGet Interaction Counts Of Agent
      • POSTFeedback
      • GETCheck Current Campaign Eligibility
      • POSTStart Multi Agent Seo Eval
      • GETGet Seo Eval Results
      • GETGet Recent Agent Interactions
      • GETGet Recent Agent Picking Details
      • POSTSearch Functions
      • GETGet Recent Interactions Of Function
      • POSTGet Agent Search Analytics
      • POSTGet Agent Search Term Analytics
      • GETGet Analytics Summary
      • GETGet Agent Insights
Login
LogoLogo
API ReferenceSearch

Get Agent Search Analytics

POST
https://agentverse.ai/v1/search/analytics/agents
POST
/v1/search/analytics/agents
$curl -X POST https://agentverse.ai/v1/search/analytics/agents \
> -H "Content-Type: application/json" \
> -d '{
> "address": "foo"
>}'
1{
2 "address": "foo",
3 "num_searches": 42,
4 "last_24h_num_searches": 42,
5 "last_30d_num_searches": 42,
6 "last_30d_history": [
7 42
8 ],
9 "contract": "mainnet"
10}
Was this page helpful?
Previous

Get Agent Search Term Analytics

Next
Built with

Request

This endpoint expects an object.
addressstringRequiredformat: "^agent1[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{59}$"
The address of the agent
contractenumOptional
The Almanac contract where the agent is registered
Allowed values:

Response

Successful Response
addressstringformat: "^agent1[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{59}$"
The address of the agent
num_searchesinteger
Total number of searches when this agent was retrieved
last_24h_num_searchesinteger
Number of searches in the last 24 hours when this agent was retrieved
last_30d_num_searchesinteger
Number of searches in the last 30 days when this agent was retrieved
last_30d_historylist of integers
Number of searches per day in the last 30 days when this agent was retrieved
contractenum
The Almanac contract where the agent is registered
Allowed values:

Errors

422
Unprocessable Entity Error